%define         _state          stable
%define		orgname		libkdeedu
%define         qtver           4.8.0

Summary:	Libraries used by KDE education applications
Summary(pl.UTF-8):	Biblioteki używane przez aplikacje edukacyjne KDE
Name:		kde4-libkdeedu
Version:	4.10.5
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	05ca18101a0ec70928c574d4abb914f6
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	phonon-devel
BuildRequires:	rpmbuild(macros) >= 1.164
Obsoletes:	libkdeedu < 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Edu library.

%description -l pl.UTF-8
Biblioteka KDE Edu.

%package devel
Summary:	Header files for libkdeedu development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających libkdeedu
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kdeedu-devel < 4.8.0

%description devel
Header files for libkdeedu development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających libkdeedu.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkeduvocdocument.so.?
%attr(755,root,root) %{_libdir}/libkeduvocdocument.so.*.*.*
%{_datadir}/apps/kvtml
%{_iconsdir}/hicolor/*x*/actions/*.png
%{_iconsdir}/hicolor/scalable/actions/*.svgz

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkeduvocdocument.so
%{_includedir}/libkdeedu
%{_libdir}/cmake/libkdeedu
%{_libdir}/libqtmmlwidget.a
%changelog
* Wed Jul 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-libkdeedu.git;a=log;h=master

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d2327b4
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 470cb39
- updated to 4.10.4 (by update-kde4.sh)

* Sun May 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a0fb714
- up to 4.10.3

* Fri Apr 05 2013 Jan Rękorajski <baggins@pld-linux.org> 27c90a2
- 4.10.2

* Thu Jan 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 45d409d
- up to 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 469499a
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> 8a72628
- updated to 4.9.3.

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b8c7860
- up to 4.9.2

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> b416494
- updated to 4.9.1.

* Sun Jul 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7456584
- up to 4.9.0

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> db17659
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> edc1918
- up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 46025c5
- now as kde4-libkdeedu

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 14ec82c
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ec1a69
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2294b2e
- up to 4.7.3

* Mon Oct 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c4aa58
- up to 4.7.2

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f36ea78
- rel 2

* Fri Sep 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f0a51b
- up to 4.7.1

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a76b89
- O: kde4-kdeedu-devel

